Loading...
Searching...
No Matches
replace_if.hpp File Reference

## Functions

template<typename I , typename S , typename C , typename T , typename P = identity> requires input_iterator<I> && sentinel_for<S, I> && indirect_unary_predicate<C, projected<I, P>> && indirectly_writable<I, T const &>
constexpr I | ranges::replace_if (I first, S last, C pred, T const &new_value, P proj=P{})
| function template `replace_if`
template<typename Rng , typename C , typename T , typename P = identity> requires input_range<Rng> && indirect_unary_predicate<C, projected<iterator_t<Rng>, P>> && indirectly_writable<iterator_t<Rng>, T const &>
constexpr borrowed_iterator_t< Rng > | ranges::replace_if (Rng &&rng, C pred, T const &new_value, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.